[Swift-commit] r3515 - in trunk/tests: . local
noreply at svn.ci.uchicago.edu
noreply at svn.ci.uchicago.edu
Tue Aug 10 16:13:25 CDT 2010
Author: wozniak
Date: 2010-08-10 16:13:25 -0500 (Tue, 10 Aug 2010)
New Revision: 3515
Added:
trunk/tests/array_index.swift
trunk/tests/local/append.sh
trunk/tests/local/array_iteration.check.sh
trunk/tests/local/array_iteration.clean.sh
trunk/tests/local/array_iteration.swift
trunk/tests/local/array_wildcard.check.sh
trunk/tests/local/array_wildcard.clean.sh
trunk/tests/local/array_wildcard.swift
trunk/tests/local/default.check.sh
trunk/tests/local/default.clean.sh
trunk/tests/local/default.swift
trunk/tests/local/diamond.check.sh
trunk/tests/local/diamond.clean.sh
trunk/tests/local/diamond.swift
trunk/tests/local/filesysmapper.check.sh
trunk/tests/local/filesysmapper.clean.sh
trunk/tests/local/filesysmapper.setup.sh
trunk/tests/local/filesysmapper.swift
trunk/tests/local/hello.check.sh
trunk/tests/local/hello.clean.sh
trunk/tests/local/hello.swift
trunk/tests/local/range.check.sh
trunk/tests/local/range.swift
trunk/tests/local/tc.template.data
Removed:
trunk/tests/append.sh
trunk/tests/array_index.dtm
trunk/tests/array_iteration.check.sh
trunk/tests/array_iteration.clean.sh
trunk/tests/array_iteration.swift
trunk/tests/array_wildcard.check.sh
trunk/tests/array_wildcard.clean.sh
trunk/tests/array_wildcard.swift
trunk/tests/default.check.sh
trunk/tests/default.clean.sh
trunk/tests/default.swift
trunk/tests/diamond.check.sh
trunk/tests/diamond.clean.sh
trunk/tests/diamond.swift
trunk/tests/filesysmapper.check.sh
trunk/tests/filesysmapper.clean.sh
trunk/tests/filesysmapper.setup.sh
trunk/tests/filesysmapper.swift
trunk/tests/hello.check.sh
trunk/tests/hello.clean.sh
trunk/tests/hello.swift
trunk/tests/range.check.sh
trunk/tests/range.swift
trunk/tests/tc.template.data
Log:
Restructure tests into GROUPs
Deleted: trunk/tests/append.sh
===================================================================
--- trunk/tests/append.sh 2010-08-10 21:01:14 UTC (rev 3514)
+++ trunk/tests/append.sh 2010-08-10 21:13:25 UTC (rev 3515)
@@ -1,12 +0,0 @@
-#!/bin/sh
-
-# Concatenate the INPUT and TEXT to the OUTPUT file
-
-INPUT=$1
-TEXT=$2
-OUTPUT=$3
-
-{
- cat ${INPUT}
- echo ${TEXT}
-} > ${OUTPUT}
Deleted: trunk/tests/array_index.dtm
===================================================================
--- trunk/tests/array_index.dtm 2010-08-10 21:01:14 UTC (rev 3514)
+++ trunk/tests/array_index.dtm 2010-08-10 21:13:25 UTC (rev 3515)
@@ -1,12 +0,0 @@
-type file {}
-
-
-(file t) echo_array (string s[]) {
- app {
- echo s[0] s[1] s[2] stdout=@filename(t);
- }
-}
-
-string greetings[] = ["how","are","you"];
-file hw = echo(greetings);
-
Copied: trunk/tests/array_index.swift (from rev 3501, trunk/tests/array_index.dtm)
===================================================================
--- trunk/tests/array_index.swift (rev 0)
+++ trunk/tests/array_index.swift 2010-08-10 21:13:25 UTC (rev 3515)
@@ -0,0 +1,12 @@
+type file {}
+
+
+(file t) echo_array (string s[]) {
+ app {
+ echo s[0] s[1] s[2] stdout=@filename(t);
+ }
+}
+
+string greetings[] = ["how","are","you"];
+file hw = echo(greetings);
+
Deleted: trunk/tests/array_iteration.check.sh
===================================================================
--- trunk/tests/array_iteration.check.sh 2010-08-10 21:01:14 UTC (rev 3514)
+++ trunk/tests/array_iteration.check.sh 2010-08-10 21:13:25 UTC (rev 3515)
@@ -1,10 +0,0 @@
-#!/bin/sh
-
-set -x
-
-FILES=( $( ls f[1-3].txt ) )
-(( ${#FILES[@]} == 3 )) || exit 1
-
-grep "hi there" < ${FILES[1]} || exit 1
-
-exit 0
Deleted: trunk/tests/array_iteration.clean.sh
===================================================================
--- trunk/tests/array_iteration.clean.sh 2010-08-10 21:01:14 UTC (rev 3514)
+++ trunk/tests/array_iteration.clean.sh 2010-08-10 21:13:25 UTC (rev 3515)
@@ -1,7 +0,0 @@
-#!/bin/sh
-
-set -x
-
-rm -v f[1-3].txt || exit 1
-
-exit 0
Deleted: trunk/tests/array_iteration.swift
===================================================================
--- trunk/tests/array_iteration.swift 2010-08-10 21:01:14 UTC (rev 3514)
+++ trunk/tests/array_iteration.swift 2010-08-10 21:13:25 UTC (rev 3515)
@@ -1,16 +0,0 @@
-type file {}
-
-app (file f) echo (string s) {
- echo s stdout=@filename(f);
-}
-
-(file fa[]) echo_batch (string sa[]) {
- foreach s, i in sa {
- fa[i] = echo(s);
- }
-}
-
-string m[] = ["hello","hi there","how are you"];
-string f[] = ["f1.txt", "f2.txt", "f3.txt"];
-file fa[]<array_mapper; files=f>;
-fa = echo_batch(m);
Deleted: trunk/tests/array_wildcard.check.sh
===================================================================
--- trunk/tests/array_wildcard.check.sh 2010-08-10 21:01:14 UTC (rev 3514)
+++ trunk/tests/array_wildcard.check.sh 2010-08-10 21:13:25 UTC (rev 3515)
@@ -1,7 +0,0 @@
-#!/bin/sh
-
-set -x
-
-grep "how are you" < hw.txt || exit 1
-
-exit 0
Deleted: trunk/tests/array_wildcard.clean.sh
===================================================================
--- trunk/tests/array_wildcard.clean.sh 2010-08-10 21:01:14 UTC (rev 3514)
+++ trunk/tests/array_wildcard.clean.sh 2010-08-10 21:13:25 UTC (rev 3515)
@@ -1,7 +0,0 @@
-#!/bin/sh
-
-set -x
-
-rm -v hw.txt || exit 1
-
-exit 0
Deleted: trunk/tests/array_wildcard.swift
===================================================================
--- trunk/tests/array_wildcard.swift 2010-08-10 21:01:14 UTC (rev 3514)
+++ trunk/tests/array_wildcard.swift 2010-08-10 21:13:25 UTC (rev 3515)
@@ -1,8 +0,0 @@
-type file;
-
-app (file t) echo_wildcard (string s[]) {
- echo s[*] stdout=@filename(t);
-}
-
-string greetings[] = ["how","are","you"];
-file hw<"hw.txt"> = echo_wildcard(greetings);
Deleted: trunk/tests/default.check.sh
===================================================================
--- trunk/tests/default.check.sh 2010-08-10 21:01:14 UTC (rev 3514)
+++ trunk/tests/default.check.sh 2010-08-10 21:13:25 UTC (rev 3515)
@@ -1,8 +0,0 @@
-#!/bin/sh
-
-set -x
-
-grep "hello world" < hw1.txt || exit 1
-grep "hello again" < hw2.txt || exit 1
-
-exit 0
Deleted: trunk/tests/default.clean.sh
===================================================================
--- trunk/tests/default.clean.sh 2010-08-10 21:01:14 UTC (rev 3514)
+++ trunk/tests/default.clean.sh 2010-08-10 21:13:25 UTC (rev 3515)
@@ -1,7 +0,0 @@
-#!/bin/sh
-
-set -x
-
-rm hw[12].txt || exit 1
-
-exit 0
Deleted: trunk/tests/default.swift
===================================================================
--- trunk/tests/default.swift 2010-08-10 21:01:14 UTC (rev 3514)
+++ trunk/tests/default.swift 2010-08-10 21:13:25 UTC (rev 3515)
@@ -1,13 +0,0 @@
-type file {}
-
-// s has a default value
-app (file t) echo (string s="hello world") {
- // redirect stdout to a file
- echo s stdout=@filename(t);
-}
-
-file hw1<"hw1.txt">, hw2<"hw2.txt">;
-// procedure call using the default value
-hw1 = echo();
-// using a different value
-hw2 = echo(s="hello again");
Deleted: trunk/tests/diamond.check.sh
===================================================================
--- trunk/tests/diamond.check.sh 2010-08-10 21:01:14 UTC (rev 3514)
+++ trunk/tests/diamond.check.sh 2010-08-10 21:13:25 UTC (rev 3515)
@@ -1,11 +0,0 @@
-#!/bin/sh
-
-set -x
-
-COUNT=( $( ls f*.txt ) )
-(( ${#COUNT[@]} == 4 )) || exit 1
-
-LINES=$( wc -l < fd.txt )
-(( ${LINES} == 4 )) || exit 1
-
-exit 0
Deleted: trunk/tests/diamond.clean.sh
===================================================================
--- trunk/tests/diamond.clean.sh 2010-08-10 21:01:14 UTC (rev 3514)
+++ trunk/tests/diamond.clean.sh 2010-08-10 21:13:25 UTC (rev 3515)
@@ -1,7 +0,0 @@
-#!/bin/sh
-
-set -x
-
-rm -v f*.txt || exit 1
-
-exit 0
Deleted: trunk/tests/diamond.swift
===================================================================
--- trunk/tests/diamond.swift 2010-08-10 21:01:14 UTC (rev 3514)
+++ trunk/tests/diamond.swift 2010-08-10 21:13:25 UTC (rev 3515)
@@ -1,27 +0,0 @@
-type file {};
-
-app (file f) generate (string s) {
- echo s stdout=@f;
-}
-
-app (file f2) process (file f1, string text) {
- append @f1 text @f2;
-}
-
-app (file f3) combine (file f1, file f2) {
- cat @f1 @f2 stdout=@f3;
-}
-
-(file fd) diamond (string p1, string p2) {
- file fa<"fa.txt">;
- file fb<"fb.txt">;
- file fc<"fc.txt">;
-
- fa = generate("TOP");
- fb = process(fa, p1);
- fc = process(fa, p2);
- fd = combine(fb, fc);
-}
-
-file fd<"fd.txt">;
-fd = diamond("LEFT", "RIGHT");
Deleted: trunk/tests/filesysmapper.check.sh
===================================================================
--- trunk/tests/filesysmapper.check.sh 2010-08-10 21:01:14 UTC (rev 3514)
+++ trunk/tests/filesysmapper.check.sh 2010-08-10 21:13:25 UTC (rev 3515)
@@ -1,9 +0,0 @@
-#!/bin/sh
-
-set -x
-
-ls stdout.txt || exit 1
-COUNT=$( grep -c "file: [abc].dat" < stdout.txt )
-(( $COUNT == 3 )) || exit 1
-
-exit 0
Deleted: trunk/tests/filesysmapper.clean.sh
===================================================================
--- trunk/tests/filesysmapper.clean.sh 2010-08-10 21:01:14 UTC (rev 3514)
+++ trunk/tests/filesysmapper.clean.sh 2010-08-10 21:13:25 UTC (rev 3515)
@@ -1,5 +0,0 @@
-#!/bin/sh
-
-rm -v [abc].dat || exit 1
-
-exit 0
Deleted: trunk/tests/filesysmapper.setup.sh
===================================================================
--- trunk/tests/filesysmapper.setup.sh 2010-08-10 21:01:14 UTC (rev 3514)
+++ trunk/tests/filesysmapper.setup.sh 2010-08-10 21:13:25 UTC (rev 3515)
@@ -1,7 +0,0 @@
-#!/bin/sh
-
-set -x
-
-touch a.dat b.dat c.dat || exit 1
-
-exit 0
Deleted: trunk/tests/filesysmapper.swift
===================================================================
--- trunk/tests/filesysmapper.swift 2010-08-10 21:01:14 UTC (rev 3514)
+++ trunk/tests/filesysmapper.swift 2010-08-10 21:13:25 UTC (rev 3515)
@@ -1,7 +0,0 @@
-type file {};
-
-file files[]<filesys_mapper; pattern="*.dat">;
-
-foreach f in files {
- tracef("file: %s\n", @filename(f));
-}
Deleted: trunk/tests/hello.check.sh
===================================================================
--- trunk/tests/hello.check.sh 2010-08-10 21:01:14 UTC (rev 3514)
+++ trunk/tests/hello.check.sh 2010-08-10 21:13:25 UTC (rev 3515)
@@ -1,7 +0,0 @@
-#!/bin/sh
-
-set -x
-
-grep hello < hello.txt || exit 1
-
-exit 0
Deleted: trunk/tests/hello.clean.sh
===================================================================
--- trunk/tests/hello.clean.sh 2010-08-10 21:01:14 UTC (rev 3514)
+++ trunk/tests/hello.clean.sh 2010-08-10 21:13:25 UTC (rev 3515)
@@ -1,7 +0,0 @@
-#!/bin/sh
-
-set -x
-
-rm -v hello.txt || exit 1
-
-exit 0
Deleted: trunk/tests/hello.swift
===================================================================
--- trunk/tests/hello.swift 2010-08-10 21:01:14 UTC (rev 3514)
+++ trunk/tests/hello.swift 2010-08-10 21:13:25 UTC (rev 3515)
@@ -1,7 +0,0 @@
-type file;
-
-app (file t) echo (string s) {
- echo s stdout=@filename(t);
-}
-
-file hw<"hello.txt"> = echo("hello world");
Copied: trunk/tests/local/append.sh (from rev 3502, trunk/tests/append.sh)
===================================================================
--- trunk/tests/local/append.sh (rev 0)
+++ trunk/tests/local/append.sh 2010-08-10 21:13:25 UTC (rev 3515)
@@ -0,0 +1,12 @@
+#!/bin/sh
+
+# Concatenate the INPUT and TEXT to the OUTPUT file
+
+INPUT=$1
+TEXT=$2
+OUTPUT=$3
+
+{
+ cat ${INPUT}
+ echo ${TEXT}
+} > ${OUTPUT}
Copied: trunk/tests/local/array_iteration.check.sh (from rev 3507, trunk/tests/array_iteration.check.sh)
===================================================================
--- trunk/tests/local/array_iteration.check.sh (rev 0)
+++ trunk/tests/local/array_iteration.check.sh 2010-08-10 21:13:25 UTC (rev 3515)
@@ -0,0 +1,10 @@
+#!/bin/sh
+
+set -x
+
+FILES=( $( ls f[1-3].txt ) )
+(( ${#FILES[@]} == 3 )) || exit 1
+
+grep "hi there" < ${FILES[1]} || exit 1
+
+exit 0
Copied: trunk/tests/local/array_iteration.clean.sh (from rev 3507, trunk/tests/array_iteration.clean.sh)
===================================================================
--- trunk/tests/local/array_iteration.clean.sh (rev 0)
+++ trunk/tests/local/array_iteration.clean.sh 2010-08-10 21:13:25 UTC (rev 3515)
@@ -0,0 +1,7 @@
+#!/bin/sh
+
+set -x
+
+rm -v f[1-3].txt || exit 1
+
+exit 0
Copied: trunk/tests/local/array_iteration.swift (from rev 3507, trunk/tests/array_iteration.swift)
===================================================================
--- trunk/tests/local/array_iteration.swift (rev 0)
+++ trunk/tests/local/array_iteration.swift 2010-08-10 21:13:25 UTC (rev 3515)
@@ -0,0 +1,16 @@
+type file {}
+
+app (file f) echo (string s) {
+ echo s stdout=@filename(f);
+}
+
+(file fa[]) echo_batch (string sa[]) {
+ foreach s, i in sa {
+ fa[i] = echo(s);
+ }
+}
+
+string m[] = ["hello","hi there","how are you"];
+string f[] = ["f1.txt", "f2.txt", "f3.txt"];
+file fa[]<array_mapper; files=f>;
+fa = echo_batch(m);
Copied: trunk/tests/local/array_wildcard.check.sh (from rev 3507, trunk/tests/array_wildcard.check.sh)
===================================================================
--- trunk/tests/local/array_wildcard.check.sh (rev 0)
+++ trunk/tests/local/array_wildcard.check.sh 2010-08-10 21:13:25 UTC (rev 3515)
@@ -0,0 +1,7 @@
+#!/bin/sh
+
+set -x
+
+grep "how are you" < hw.txt || exit 1
+
+exit 0
Copied: trunk/tests/local/array_wildcard.clean.sh (from rev 3507, trunk/tests/array_wildcard.clean.sh)
===================================================================
--- trunk/tests/local/array_wildcard.clean.sh (rev 0)
+++ trunk/tests/local/array_wildcard.clean.sh 2010-08-10 21:13:25 UTC (rev 3515)
@@ -0,0 +1,7 @@
+#!/bin/sh
+
+set -x
+
+rm -v hw.txt || exit 1
+
+exit 0
Copied: trunk/tests/local/array_wildcard.swift (from rev 3507, trunk/tests/array_wildcard.swift)
===================================================================
--- trunk/tests/local/array_wildcard.swift (rev 0)
+++ trunk/tests/local/array_wildcard.swift 2010-08-10 21:13:25 UTC (rev 3515)
@@ -0,0 +1,8 @@
+type file;
+
+app (file t) echo_wildcard (string s[]) {
+ echo s[*] stdout=@filename(t);
+}
+
+string greetings[] = ["how","are","you"];
+file hw<"hw.txt"> = echo_wildcard(greetings);
Copied: trunk/tests/local/default.check.sh (from rev 3507, trunk/tests/default.check.sh)
===================================================================
--- trunk/tests/local/default.check.sh (rev 0)
+++ trunk/tests/local/default.check.sh 2010-08-10 21:13:25 UTC (rev 3515)
@@ -0,0 +1,8 @@
+#!/bin/sh
+
+set -x
+
+grep "hello world" < hw1.txt || exit 1
+grep "hello again" < hw2.txt || exit 1
+
+exit 0
Copied: trunk/tests/local/default.clean.sh (from rev 3507, trunk/tests/default.clean.sh)
===================================================================
--- trunk/tests/local/default.clean.sh (rev 0)
+++ trunk/tests/local/default.clean.sh 2010-08-10 21:13:25 UTC (rev 3515)
@@ -0,0 +1,7 @@
+#!/bin/sh
+
+set -x
+
+rm hw[12].txt || exit 1
+
+exit 0
Copied: trunk/tests/local/default.swift (from rev 3507, trunk/tests/default.swift)
===================================================================
--- trunk/tests/local/default.swift (rev 0)
+++ trunk/tests/local/default.swift 2010-08-10 21:13:25 UTC (rev 3515)
@@ -0,0 +1,13 @@
+type file {}
+
+// s has a default value
+app (file t) echo (string s="hello world") {
+ // redirect stdout to a file
+ echo s stdout=@filename(t);
+}
+
+file hw1<"hw1.txt">, hw2<"hw2.txt">;
+// procedure call using the default value
+hw1 = echo();
+// using a different value
+hw2 = echo(s="hello again");
Copied: trunk/tests/local/diamond.check.sh (from rev 3504, trunk/tests/diamond.check.sh)
===================================================================
--- trunk/tests/local/diamond.check.sh (rev 0)
+++ trunk/tests/local/diamond.check.sh 2010-08-10 21:13:25 UTC (rev 3515)
@@ -0,0 +1,11 @@
+#!/bin/sh
+
+set -x
+
+COUNT=( $( ls f*.txt ) )
+(( ${#COUNT[@]} == 4 )) || exit 1
+
+LINES=$( wc -l < fd.txt )
+(( ${LINES} == 4 )) || exit 1
+
+exit 0
Copied: trunk/tests/local/diamond.clean.sh (from rev 3504, trunk/tests/diamond.clean.sh)
===================================================================
--- trunk/tests/local/diamond.clean.sh (rev 0)
+++ trunk/tests/local/diamond.clean.sh 2010-08-10 21:13:25 UTC (rev 3515)
@@ -0,0 +1,7 @@
+#!/bin/sh
+
+set -x
+
+rm -v f*.txt || exit 1
+
+exit 0
Copied: trunk/tests/local/diamond.swift (from rev 3502, trunk/tests/diamond.swift)
===================================================================
--- trunk/tests/local/diamond.swift (rev 0)
+++ trunk/tests/local/diamond.swift 2010-08-10 21:13:25 UTC (rev 3515)
@@ -0,0 +1,27 @@
+type file {};
+
+app (file f) generate (string s) {
+ echo s stdout=@f;
+}
+
+app (file f2) process (file f1, string text) {
+ append @f1 text @f2;
+}
+
+app (file f3) combine (file f1, file f2) {
+ cat @f1 @f2 stdout=@f3;
+}
+
+(file fd) diamond (string p1, string p2) {
+ file fa<"fa.txt">;
+ file fb<"fb.txt">;
+ file fc<"fc.txt">;
+
+ fa = generate("TOP");
+ fb = process(fa, p1);
+ fc = process(fa, p2);
+ fd = combine(fb, fc);
+}
+
+file fd<"fd.txt">;
+fd = diamond("LEFT", "RIGHT");
Copied: trunk/tests/local/filesysmapper.check.sh (from rev 3507, trunk/tests/filesysmapper.check.sh)
===================================================================
--- trunk/tests/local/filesysmapper.check.sh (rev 0)
+++ trunk/tests/local/filesysmapper.check.sh 2010-08-10 21:13:25 UTC (rev 3515)
@@ -0,0 +1,9 @@
+#!/bin/sh
+
+set -x
+
+ls stdout.txt || exit 1
+COUNT=$( grep -c "file: [abc].dat" < stdout.txt )
+(( $COUNT == 3 )) || exit 1
+
+exit 0
Copied: trunk/tests/local/filesysmapper.clean.sh (from rev 3507, trunk/tests/filesysmapper.clean.sh)
===================================================================
--- trunk/tests/local/filesysmapper.clean.sh (rev 0)
+++ trunk/tests/local/filesysmapper.clean.sh 2010-08-10 21:13:25 UTC (rev 3515)
@@ -0,0 +1,5 @@
+#!/bin/sh
+
+rm -v [abc].dat || exit 1
+
+exit 0
Copied: trunk/tests/local/filesysmapper.setup.sh (from rev 3507, trunk/tests/filesysmapper.setup.sh)
===================================================================
--- trunk/tests/local/filesysmapper.setup.sh (rev 0)
+++ trunk/tests/local/filesysmapper.setup.sh 2010-08-10 21:13:25 UTC (rev 3515)
@@ -0,0 +1,7 @@
+#!/bin/sh
+
+set -x
+
+touch a.dat b.dat c.dat || exit 1
+
+exit 0
Copied: trunk/tests/local/filesysmapper.swift (from rev 3507, trunk/tests/filesysmapper.swift)
===================================================================
--- trunk/tests/local/filesysmapper.swift (rev 0)
+++ trunk/tests/local/filesysmapper.swift 2010-08-10 21:13:25 UTC (rev 3515)
@@ -0,0 +1,7 @@
+type file {};
+
+file files[]<filesys_mapper; pattern="*.dat">;
+
+foreach f in files {
+ tracef("file: %s\n", @filename(f));
+}
Copied: trunk/tests/local/hello.check.sh (from rev 3507, trunk/tests/hello.check.sh)
===================================================================
--- trunk/tests/local/hello.check.sh (rev 0)
+++ trunk/tests/local/hello.check.sh 2010-08-10 21:13:25 UTC (rev 3515)
@@ -0,0 +1,7 @@
+#!/bin/sh
+
+set -x
+
+grep hello < hello.txt || exit 1
+
+exit 0
Copied: trunk/tests/local/hello.clean.sh (from rev 3507, trunk/tests/hello.clean.sh)
===================================================================
--- trunk/tests/local/hello.clean.sh (rev 0)
+++ trunk/tests/local/hello.clean.sh 2010-08-10 21:13:25 UTC (rev 3515)
@@ -0,0 +1,7 @@
+#!/bin/sh
+
+set -x
+
+rm -v hello.txt || exit 1
+
+exit 0
Copied: trunk/tests/local/hello.swift (from rev 3507, trunk/tests/hello.swift)
===================================================================
--- trunk/tests/local/hello.swift (rev 0)
+++ trunk/tests/local/hello.swift 2010-08-10 21:13:25 UTC (rev 3515)
@@ -0,0 +1,7 @@
+type file;
+
+app (file t) echo (string s) {
+ echo s stdout=@filename(t);
+}
+
+file hw<"hello.txt"> = echo("hello world");
Copied: trunk/tests/local/range.check.sh (from rev 3512, trunk/tests/range.check.sh)
===================================================================
--- trunk/tests/local/range.check.sh (rev 0)
+++ trunk/tests/local/range.check.sh 2010-08-10 21:13:25 UTC (rev 3515)
@@ -0,0 +1,10 @@
+#!/bin/sh
+
+set -x
+
+ls stdout.txt || exit 1
+
+COUNT=$( grep -c "num:" < stdout.txt )
+(( $COUNT == 11 )) || exit 1
+
+exit 0
Copied: trunk/tests/local/range.swift (from rev 3501, trunk/tests/range.swift)
===================================================================
--- trunk/tests/local/range.swift (rev 0)
+++ trunk/tests/local/range.swift 2010-08-10 21:13:25 UTC (rev 3515)
@@ -0,0 +1,5 @@
+int nums[] = [0:20:2]; // generate a list 0, 2, 4, 6, 8 ...
+
+foreach num in nums {
+ tracef("num: %i\n", num);
+}
Copied: trunk/tests/local/tc.template.data (from rev 3507, trunk/tests/tc.template.data)
===================================================================
--- trunk/tests/local/tc.template.data (rev 0)
+++ trunk/tests/local/tc.template.data 2010-08-10 21:13:25 UTC (rev 3515)
@@ -0,0 +1,20 @@
+#This is the transformation catalog.
+#
+#It comes pre-configured with a number of simple transformations with
+#paths that are likely to work on a linux box. However, on some systems,
+#the paths to these executables will be different (for example, sometimes
+#some of these programs are found in /usr/bin rather than in /bin)
+#
+#NOTE WELL: fields in this file must be separated by tabs, not spaces; and
+#there must be no trailing whitespace at the end of each line.
+#
+# sitename transformation path INSTALLED platform profiles
+localhost echo /bin/echo INSTALLED INTEL32::LINUX null
+localhost cat /bin/cat INSTALLED INTEL32::LINUX null
+localhost ls /bin/ls INSTALLED INTEL32::LINUX null
+localhost grep /bin/grep INSTALLED INTEL32::LINUX null
+localhost sort /bin/sort INSTALLED INTEL32::LINUX null
+localhost paste /bin/paste INSTALLED INTEL32::LINUX nul
+localhost touch /bin/touch INSTALLED INTEL32::LINUX null
+
+localhost append _DIR_/append.sh INSTALLED INTEL32::LINUX null
Deleted: trunk/tests/range.check.sh
===================================================================
--- trunk/tests/range.check.sh 2010-08-10 21:01:14 UTC (rev 3514)
+++ trunk/tests/range.check.sh 2010-08-10 21:13:25 UTC (rev 3515)
@@ -1,10 +0,0 @@
-#!/bin/sh
-
-set -x
-
-ls stdout.txt || exit 1
-
-COUNT=$( grep -c "num:" < stdout.txt )
-(( $COUNT == 11 )) || exit 1
-
-exit 0
Deleted: trunk/tests/range.swift
===================================================================
--- trunk/tests/range.swift 2010-08-10 21:01:14 UTC (rev 3514)
+++ trunk/tests/range.swift 2010-08-10 21:13:25 UTC (rev 3515)
@@ -1,5 +0,0 @@
-int nums[] = [0:20:2]; // generate a list 0, 2, 4, 6, 8 ...
-
-foreach num in nums {
- tracef("num: %i\n", num);
-}
Deleted: trunk/tests/tc.template.data
===================================================================
--- trunk/tests/tc.template.data 2010-08-10 21:01:14 UTC (rev 3514)
+++ trunk/tests/tc.template.data 2010-08-10 21:13:25 UTC (rev 3515)
@@ -1,20 +0,0 @@
-#This is the transformation catalog.
-#
-#It comes pre-configured with a number of simple transformations with
-#paths that are likely to work on a linux box. However, on some systems,
-#the paths to these executables will be different (for example, sometimes
-#some of these programs are found in /usr/bin rather than in /bin)
-#
-#NOTE WELL: fields in this file must be separated by tabs, not spaces; and
-#there must be no trailing whitespace at the end of each line.
-#
-# sitename transformation path INSTALLED platform profiles
-localhost echo /bin/echo INSTALLED INTEL32::LINUX null
-localhost cat /bin/cat INSTALLED INTEL32::LINUX null
-localhost ls /bin/ls INSTALLED INTEL32::LINUX null
-localhost grep /bin/grep INSTALLED INTEL32::LINUX null
-localhost sort /bin/sort INSTALLED INTEL32::LINUX null
-localhost paste /bin/paste INSTALLED INTEL32::LINUX nul
-localhost touch /bin/touch INSTALLED INTEL32::LINUX null
-
-localhost append _DIR_/append.sh INSTALLED INTEL32::LINUX null
More information about the Swift-commit
mailing list